function show_error(field, msg){
    modal_window({
        message: '<div class="alert alert-danger">' + msg + '</div>',
        title: 'Error in ' + field,
        close: function(){
            $j('#' + field).focus();
            $j('#' + field).parents('.form-group').addClass('has-error');
        }
    });
    
    return false;
}

$j(function(){
    $j('#update, #insert').click(function(){
        /* Make sure Quantite is valid */
        var quantitev = $j('#quantitev').val();
        
        if(isNaN(quantitev) || quantitev < 0 || quantitev > 10000){
            return show_error('quantitev', 'La quantité doit etre entre 0 et 10000.');
        }
    });
    
    /* Set montant a prix total to read-only */
	$j('#ptotalv').prop('readonly', true);
    
    /* calculer le total */
    $j('#punitairev, #quantitev, #ptotalv').change(function(){
       var prixUnitaire = parseFloat($j('#punitairev').val()) || 0;
        var quantite = parseFloat($j('#quantitev').val()) || 0;
        
        var prixTotal = prixUnitaire * quantite;
        $j('#ptotalv').val(prixTotal);
    });
})